MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027544Community[OCCT] OCCT:Modeling Algorithmspublic2016-05-26 15:252016-12-09 16:38
ReporterFredK 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027544: problem compiling OCCT with gcc version 4.8.2 gives error 'array subscript is above array bounds'
DescriptionWhen compiling the OpenCASCADE library with gcc compiler version 4.8.2, the compiler generates the error 'array subscript is above array bounds' with the following code in IntPatch/IntPatch_InterferencePolyhedron.cxx:

line 903:
      if (nob>=0) {
    while (nob<nbNoInserted) {
      piToInsert[nob]=piToInsert[nob+1]; // here the error is generated
      nob++;
    }
    nbNoInserted--;
    nob=nbNoInserted-1;
      }
Steps To ReproduceCompile OpenCascade\src\IntPatch\IntPatch_InterferencePolyhedron.cxx with gcc 4.8.2

#Test case is not applicable.
Additional information
and documentation updates
fix:

line 903:
      if (nob>=0) {
    while (nob<nbNoInserted) {
      if (nob + 1 < 6)
        piToInsert[nob]=piToInsert[nob+1];
      nob++;
    }
    nbNoInserted--;
    nob=nbNoInserted-1;
      }
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026852closedabv Open CASCADE Coding - compiler warnings issued by GCC 5.2.1 

-  Notes
(0054451)
kgv (developer)
2016-05-26 15:52

The original code looks strange, or I misunderstand it.
Probably there might be a bug.
(0054458)
git (administrator)
2016-05-26 20:09

Branch CR27544 has been created by aml.

SHA-1: 60ea52b523c28436faf745c5293bff3ec9f37792


Detailed log of new commits:

Author: aml
Date: Thu May 26 20:08:48 2016 +0300

    0027544: problem compiling OCCT with gcc version 4.8.2 gives error 'array subscript is above array bounds'
    
    Possible out of borders problem is fixed.
(0054551)
git (administrator)
2016-05-31 07:50

Branch CR27544 has been updated forcibly by aml.

SHA-1: 53712ef65810a44695eea7910ea1e6c65ea18821
(0054561)
git (administrator)
2016-05-31 11:09

Branch CR27544 has been updated forcibly by aml.

SHA-1: 67ad0ec9a24960de8f32cc59322bbd913fbc9898
(0054562)
aml (developer)
2016-05-31 11:10

Dear msv,
Please check current state of the CR27544 branch.
(0054581)
git (administrator)
2016-05-31 19:27

Branch CR27544 has been updated forcibly by aml.

SHA-1: bf81f9e4cbc1eed830bc8b047d42821fa1aad14a
(0054582)
msv (developer)
2016-05-31 19:28

Reviewed.
(0054614)
bugmaster (administrator)
2016-06-02 09:56

Fix has been successfully compile on all platforms.
(0054664)
git (administrator)
2016-06-03 13:12

Branch CR27544 has been deleted by inv.

SHA-1: bf81f9e4cbc1eed830bc8b047d42821fa1aad14a

- Related Changesets
occt: master 93dc7934
Timestamp: 2016-05-26 17:08:48
Author: aml
Committer: bugmaster
Details ] Diff ]
0027544: problem compiling OCCT with gcc version 4.8.2 gives error 'array subscript is above array bounds'

Possible out of borders problem is fixed.
mod - src/IntPatch/IntPatch_InterferencePolyhedron.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-26 15:25 FredK New Issue
2016-05-26 15:25 FredK Assigned To => kgv
2016-05-26 15:48 kgv Relationship added related to 0026852
2016-05-26 15:52 kgv Note Added: 0054451
2016-05-26 15:52 kgv Assigned To kgv => msv
2016-05-26 18:28 abv Category OCCT:Coding => OCCT:Modeling Algorithms
2016-05-26 19:01 msv Assigned To msv => aml
2016-05-26 19:01 msv Status new => assigned
2016-05-26 20:09 git Note Added: 0054458
2016-05-31 07:50 git Note Added: 0054551
2016-05-31 11:09 git Note Added: 0054561
2016-05-31 11:10 aml Note Added: 0054562
2016-05-31 11:10 aml Assigned To aml => msv
2016-05-31 11:10 aml Status assigned => resolved
2016-05-31 11:10 aml Steps to Reproduce Updated View Revisions
2016-05-31 19:27 git Note Added: 0054581
2016-05-31 19:28 msv Note Added: 0054582
2016-05-31 19:28 msv Assigned To msv => bugmaster
2016-05-31 19:28 msv Status resolved => reviewed
2016-05-31 20:10 mkv Assigned To bugmaster => mkv
2016-06-01 12:17 mkv Assigned To mkv => bugmaster
2016-06-02 09:56 bugmaster Note Added: 0054614
2016-06-02 09:56 bugmaster Status reviewed => tested
2016-06-03 12:50 bugmaster Changeset attached => occt master 93dc7934
2016-06-03 12:50 bugmaster Status tested => verified
2016-06-03 12:50 bugmaster Resolution open => fixed
2016-06-03 13:12 git Note Added: 0054664
2016-07-25 14:42 bugmaster Target Version => 7.1.0
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker